+++ /dev/null
-#!|test.util.CallScript|
-#|call script|sudo apt-get update|
-#|call script|sudo apt-get install kivitendo|
-
-Folgende Skripte im Verzeichnis Test ausführen:
-sudo apt-get update
-sudo apt-get install kivitendo
-
-Während der Installation werden auf der Kommandozeile diverse Passwörter gefragt. Immer "kivitendo" eingeben!
\ No newline at end of file
+++ /dev/null
-<?xml version="1.0"?>
-<properties>
- <Edit/>
- <Files/>
- <Help/>
- <Properties/>
- <RecentChanges/>
- <Refactor/>
- <Search/>
- <Static/>
- <Suites/>
- <Versions/>
- <WhereUsed/>
-</properties>
+++ /dev/null
-Zur Aktualisierung der kivitendo-Installation sind folgende Kommandos auszuführen:
-
-sudo apt-get update
-sudo apt-get full-update
-
-Kontrolle der Version mit:
-
-apt-cache policy kivitendo
+++ /dev/null
-<?xml version="1.0"?>
-<properties>
- <Edit>true</Edit>
- <Files>true</Files>
- <Properties>true</Properties>
- <RecentChanges>true</RecentChanges>
- <Refactor>true</Refactor>
- <Search>true</Search>
- <Versions>true</Versions>
- <WhereUsed>true</WhereUsed>
-</properties>
--- /dev/null
+#!/bin/bash
+set -e
+
+echo "GUI herunterfahren ..."
+systemctl stop apache2
+
+echo "Lösche bestende Datenbanken ..."
+su postgres -c "psql -c 'DROP DATABASE IF EXISTS kivitendo_auth;'"
+su postgres -c "psql -c 'DROP DATABASE IF EXISTS firma;'"
+
+echo "Lösche kivitendo-user"
+su postgres -c "psql -c 'DROP USER kivitendo;'"
+
+echo "GUI starten ..."
+systemctl start apache2
+
+main=$(ls -d /etc/postgresql/*/main/)
+awk '/kivitendo/ {
+ next; }
+ {print;}
+ ' $main/pg_hba.conf > /tmp/pg_hba.conf
+mv /tmp/pg_hba.conf $main/pg_hba.conf
+chown postgres:postgres $main/pg_hba.conf
+
+
+echo "ok."
+